<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>solar system</title>
    <style>

        body {
        @include display(flex);
        @include align-content(center);
            color: #353535;
            min-height: 100vh;
            font-family: 'Open Sans', sans-serif;
            font-size: 4px;
            text-align: center;
            background-color: lightgreen;
            margin: 0 auto;
            overflow: hidden;

        }

        #web-gl {
            height: 100%;
            width: 100%;
        }

    </style>
</head>
<body>

<script src="lib/three.js"></script>
<script src="lib/FirstPersonControls.js"></script>
<script src="lib/Detector.js"></script>
<script type="text/javascript" src="lib/TrackballControls.js"></script>
<script type="text/javascript" src="lib/dat.gui.min.js"></script>


<div id="web-gl"></div>

<script type="text/javascript">
    var container;
    var camera, controls, scene, renderer;
    var ambientLight;

    var Sun, Earth, Moon;


    init();
    animate();
    createPanel();


    function init() {

        scene = new THREE.Scene();

        camera = new THREE.PerspectiveCamera(45, window.innerWidth / window.innerHeight, 0.1, 10000);

        scene.fog = new THREE.FogExp2(0x000000, 0.0025);

        renderer = new THREE.WebGLRenderer({antialias: true});
        renderer.setClearColor(new THREE.Color(0x000000));
        renderer.setSize(window.innerWidth, window.innerHeight);

        // add the output of the renderer to the html element
        container = document.getElementById("web-gl");
        container.appendChild(renderer.domElement);

        controls = new THREE.FirstPersonControls(camera, renderer.domElement);
        controls.movementSpeed = 70;
        controls.lookSpeed = 0.05;
        controls.noFly = true;
        controls.lookVertical = false;

        window.addEventListener('resize', onWindowResize, false);

        var directionalLight = new THREE.PointLight(0xffffff, 1, 250);

        ambientLight = new THREE.AmbientLight(0xffffff, 0.7);
        scene.add(ambientLight);

        var textureSun = new THREE.TextureLoader().load('texture/sun.jpg');
        var sphereGeometrySun = new THREE.SphereGeometry(30, 32, 16);
        var materialSun = new THREE.MeshPhongMaterial({shading: THREE.FlatShading, shininess: 0, map: textureSun});
        Sun = new THREE.Mesh(sphereGeometrySun, materialSun);
        Sun.position.x = 200;
        Sun.add(directionalLight);
        scene.add(Sun);

        var textureEarth = new THREE.TextureLoader().load('texture/earth.jpg');
        var sphereGeometryEarth = new THREE.SphereGeometry(10, 32, 16);
        var materialEarth = new THREE.MeshPhongMaterial({shading: THREE.FlatShading, shininess: 1, map: textureEarth});
        Earth = new THREE.Mesh(sphereGeometryEarth, materialEarth);
        Sun.add(Earth);

        var textureMoon = new THREE.TextureLoader().load('texture/moon.jpg');
        var sphereGeometryMoon = new THREE.SphereGeometry(5, 32, 16);
        var materialMoon = new THREE.MeshPhongMaterial({shading: THREE.FlatShading, shininess: 0.5, map: textureMoon});
        Moon = new THREE.Mesh(sphereGeometryMoon, materialMoon);
        Earth.add(Moon);
    }

    function onWindowResize() {

        camera.aspect = window.innerWidth / window.innerHeight;
        camera.updateProjectionMatrix();
        renderer.setSize(window.innerWidth, window.innerHeight);
        controls.handleResize();
    }

    function animate() {

        render();
        requestAnimationFrame(animate);
    }

    function render() {
        var clock = new THREE.Clock();
        var delta = clock.getDelta();
        var t = (Date.now() / 1000);

        Earth.position.z = Math.sin(t) * 100;
        Earth.position.x = Math.cos(t) * 100;

        Moon.position.z = Math.sin(2 * t) * 20;
        Moon.position.x = Math.cos(2 * t) * 20;

        controls.update(delta);
        renderer.render(scene, camera);

    }

    function createPanel() {

        var gui = new dat.GUI({width: 300});
        var folder = gui.addFolder('Ambient Light');

        props = {
            'Ambient Light': true
        };
        folder.add(props, 'Ambient Light').onChange(onAndOff);
        folder.open();
    }

    function onAndOff() {

        toggleVisible(ambientLight);
    }

    function toggleVisible(p) {

        p.visible = !p.visible;
    }
</script>
</body>
</html>